#########
# Author:        ajb
# Maintainer:    $Author: gq1 $
# Last Modified: $Date: 2008-10-30 12:47:27 +0000 (Thu, 30 Oct 2008) $ $Author: gq1 $
# Id:            $Id: Makefile.PL 3347 2008-10-30 12:47:27Z gq1 $
# Source:        $Source: /cvsroot/Bio-DasLite/Bio-DasLite/Makefile.PL,v $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-3.0/Makefile.PL $
#
package Makefile;
use strict;
use warnings;
use 5.005;
use SangerPaths qw(core tracking badger ensembl);
use ExtUtils::MakeMaker;
use English qw(-no_match_vars);

our $VERSION = do { my @r = (q$LastChangedRevision: 3347 $ =~ /\d+/mxg); sprintf '%d.'.'%03d' x $#r, @r };

WriteMakefile(
	      'NAME'          => 'npg-qc',
	      'AUTHOR'        => q(Andy Brown <ajb@sanger.ac.uk>),
	      'VERSION_FROM'  => 'lib/npg_qc/controller.pm',
	      'DISTNAME'      => 'NPG-QC',
	      'PREREQ_PM'     => {
				  'base' => 2.12,
				  'Carp' => 1.04,
				  'CGI' => 3.33,
				  'Class::Accessor' => 0.31,
				  'Class::Std' => '0.0.8',
				  'ClearPress' => 173,
				  'Exporter' => 5.62,
				  'ClearPress::view' => 12,
				  'Config::IniFiles' => 2.38,
				  'DBI' => 1.601,
				  'English' => 1.02,
				  'GD' => 2.35,
				  'GD::Graph::area' => 1.17,
				  'GD::Graph::bars' => 1.26,
				  'GD::Graph::bars3d' => 0.63,
				  'GD::Graph::lines' => 1.15,
				  'GD::Graph::lines3d' => 0.63,
				  'GD::Graph::mixed' => 1.13,
				  'LoggingDBI' => 1.002,
				  'LWP::UserAgent' => 2.036,
				  'Readonly' => '1.03',
				  'Sanger::Graphics::ColourMap' => 0,
				  'SangerPaths' => 1.011,
				  'SangerWeb' => 6.005,
				  'strict' => 1.03,
				  'Template' => 2.19,
				  'Test::More' => 0.74,
				  'warnings' => 1.05,
				  'Website::SSO::User' => 1.010,
				  'Website::Utilities::IdGenerator' => 0,
				  'Website::Utilities::Profiler' => 1.002,
				  'XML::LibXML' => 1.65,
				 },
	      'dist'          => { COMPRESS => 'gzip', SUFFIX => 'gz', },
	     );

1;
