#########
# Author:        ajb
# Maintainer:    $Author: gq1 $
# Created:       2008-07-21
# Last Modified: $Date: 2008-10-30 12:47:27 +0000 (Thu, 30 Oct 2008) $
# Id:            $Id: 10-model-chip_summary.t 3347 2008-10-30 12:47:27Z gq1 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-3.0/t/10-model-chip_summary.t $
#

use strict;
use warnings;
use Test::More tests => 5;
use English qw(-no_match_vars);
use SangerPaths qw(core tracking badger ensembl);
use IO::Scalar;
use lib qw{t};
use t::util;

our $VERSION = do { my ($r) = q$LastChangedRevision: 3347 $ =~ /(\d+)/mx; $r; };

use_ok('npg_qc::model::chip_summary');

my $util = t::util->new({fixtures =>1});
{
  my $model = npg_qc::model::chip_summary->new({util => $util});
  isa_ok($model, 'npg_qc::model::chip_summary', '$model');
}
{
  my $model;
  eval { $model = npg_qc::model::chip_summary->new({
      util            => $util,
      id_chip_summary => 1,
    });
  };
  is($EVAL_ERROR, q{}, 'model created ok with a id_chip_summary');
}
{
  my $model;
  eval { $model = npg_qc::model::chip_summary->new({
      util            => $util,
      id_run          => 1,
    });
  };
  is($EVAL_ERROR, q{}, 'model created ok with a id_run');
}
{
  my $model;
  eval { $model = npg_qc::model::chip_summary->new({
      util            => $util,
      id_run          => 1,
      id_chip_summary => 1,
    });
  };
  is($EVAL_ERROR, q{}, 'model created ok with a id_run and a id_chip_summary');
}
