#########
# Author:        ajb
# Maintainer:    $Author: gq1 $
# Created:       2008-07-21
# Last Modified: $Date: 2008-10-30 12:47:27 +0000 (Thu, 30 Oct 2008) $
# Id:            $Id: 10-model-cumulative_errors_by_cycle.t 3347 2008-10-30 12:47:27Z gq1 $
# $HeadURL: svn+ssh://svn.internal.sanger.ac.uk/repos/svn/new-pipeline-dev/npg-qc/tags/release-3.0/t/10-model-cumulative_errors_by_cycle.t $
#

use strict;
use warnings;
use Test::More tests => 11;
use English qw(-no_match_vars);
use SangerPaths qw(core tracking badger ensembl);
use IO::Scalar;
use lib qw{t};
use t::util;
use npg_qc::model::run_tile;

our $VERSION = do { my ($r) = q$LastChangedRevision: 3347 $ =~ /(\d+)/mx; $r; };

use_ok('npg_qc::model::cumulative_errors_by_cycle');

my $util = t::util->new({fixtures =>1});
{
  my $model = npg_qc::model::cumulative_errors_by_cycle->new({
    util                          => $util,
    id_cumulative_errors_by_cycle => 1,
  });
  isa_ok($model, 'npg_qc::model::cumulative_errors_by_cycle', '$model');
  my $run_tile = $model->run_tile();
  isa_ok($run_tile, 'npg_qc::model::run_tile', '$model->run_tile()');
  isa_ok($model->score(1,1,1), 'ARRAY', '$model->score(1,1,1)');
  is(scalar@{$model->score(1,1,1)}, 0, 'nothing returned in dataset for $model->score(1,1,1)');
  isa_ok($model->rescore(1,1,1), 'ARRAY', '$model->rescore(1,1,1)');
  is(scalar@{$model->rescore(1,1,1)}, 5, '4 items returned in dataset for $model->rescore(1,1,1)');
}
{
  ### tests if no items are returned for run_tile
  my $model = npg_qc::model::cumulative_errors_by_cycle->new({
    util                          => $util,
    id_cumulative_errors_by_cycle => 3,
  });
  isa_ok($model->rescore(2,3,30), 'ARRAY', '$model->rescore(2,3,30)');
  is(scalar@{$model->rescore(2,3,30)}, 0, '0 items returned in dataset for $model->rescore(2,3,30)');
}
{
  ### tests when the run_tile has no other end
  my $model = npg_qc::model::cumulative_errors_by_cycle->new({
    util                          => $util,
    id_cumulative_errors_by_cycle => 5,
  });
  isa_ok($model->rescore(2,1,30), 'ARRAY', '$model->rescore(2,1,30)');
  is(scalar@{$model->rescore(2,1,30)}, 1, '1 item returned in dataset for $model->rescore(2,1,30)');
}
